GLFW

- Documentation
- Download
- Media
- Community

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

All Data Structures Files Functions Variables Typedefs Macros Modules Pages
Macros
Mouse buttons
Input handling

## Macros
#define | GLFW_MOUSE_BUTTON_1 0
#define | GLFW_MOUSE_BUTTON_2 1
#define | GLFW_MOUSE_BUTTON_3 2
#define | GLFW_MOUSE_BUTTON_4 3
#define | GLFW_MOUSE_BUTTON_5 4
#define | GLFW_MOUSE_BUTTON_6 5
#define | GLFW_MOUSE_BUTTON_7 6
#define | GLFW_MOUSE_BUTTON_8 7
#define | GLFW_MOUSE_BUTTON_LAST GLFW_MOUSE_BUTTON_8
#define | GLFW_MOUSE_BUTTON_LEFT GLFW_MOUSE_BUTTON_1
#define | GLFW_MOUSE_BUTTON_RIGHT GLFW_MOUSE_BUTTON_2
#define | GLFW_MOUSE_BUTTON_MIDDLE GLFW_MOUSE_BUTTON_3

## Detailed Description

See mouse button input for how these are used.

## Macro Definition Documentation

#define GLFW_MOUSE_BUTTON_1 0

#define GLFW_MOUSE_BUTTON_2 1

#define GLFW_MOUSE_BUTTON_3 2

#define GLFW_MOUSE_BUTTON_4 3

#define GLFW_MOUSE_BUTTON_5 4

#define GLFW_MOUSE_BUTTON_6 5

#define GLFW_MOUSE_BUTTON_7 6

#define GLFW_MOUSE_BUTTON_8 7

#define GLFW_MOUSE_BUTTON_LAST GLFW_MOUSE_BUTTON_8

#define GLFW_MOUSE_BUTTON_LEFT GLFW_MOUSE_BUTTON_1

#define GLFW_MOUSE_BUTTON_MIDDLE GLFW_MOUSE_BUTTON_3

#define GLFW_MOUSE_BUTTON_RIGHT GLFW_MOUSE_BUTTON_2